#!/bin/sh

SERVEUR="94.23.12.212"
FOLDER_FAH="/opt/fah"
FOLDER_SCRIPTS="folding"
FOLDER_DATA="DATA"
FOLDER_VIEUX="vieux"
FOLDER_HTML_LOCAL="/var/www/html/fah"
FOLDER_HTML_DISTANT="/var/www/html"
FAH_DB="fah.db"

for fichier in pos.res pos1.res pos2.res saved_$FAH_DB; do
  scp -P 722 $SERVEUR:$FOLDER_FAH/$FOLDER_SCRIPTS/$fichier ./$FOLDER_SCRIPTS/$fichier
  if [ $? != 0 ]; then
    echo "Erreur sur la copie du fichier $fichier."
    exit 1
  fi
done

FOLDER_DATA="DATA"

\rm -f ./$FOLDER_SCRIPTS/$FOLDER_DATA/team_*.txt
if [ $? != 0 ]; then
  echo "Erreur sur l'effacement du fichier team_*.txt."
  exit 2
fi

scp -P 722 $SERVEUR:$FOLDER_FAH/$FOLDER_SCRIPTS/$FOLDER_DATA/team_*.txt ./$FOLDER_SCRIPTS/$FOLDER_DATA/.
if [ $? != 0 ]; then 
  echo "Erreur sur la copie du fichier team_*.txt."
  exit 3
fi
FOLDER_VIEUX="vieux"

\rm -f ./$FOLDER_SCRIPTS/$FOLDER_VIEUX/*.html
if [ $? != 0 ]; then
  echo "Erreur sur l'effacement des fichiers *.html."
  exit 4
fi

for fichier in team51.txt DK_proof.7z; do
  scp -P 722 $SERVEUR:$FOLDER_HTML_DISTANT/$fichier $FOLDER_HTML_LOCAL/$fichier
  if [ $? != 0 ]; then
    echo "Erreur sur la copie du fichier $fichier."
    exit 5
  fi
done

echo "Fin de synchronisation : ne pas oublier de lancer le script go_Alliance_Light.sh sur le serveur."

